| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoMDC.registers.mre2_registers.MRE2StaticInput Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.MRE2StaticInput:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetOF (self, value)
def | GetOF (self)
def | SetAngle (self, value)
def | GetAngle (self)
def | SetXY (self, value)
def | GetXY (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| of
| xy
| name

## Detailed Description

    Input Channel Systems - USB/UART
    System IDs: 0x50 through 0x57

    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | Register Name  | Id   | Type        | Unit     | Range       | Default | Comment                               |
    +================+======+=============+==========+=============+=========+=======================================+
    | current        | 0x00 | float 32-bit| A        | -0.7 to 0.7 | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | of             | 0x01 | float 32-bit| None     | -1 to 1     | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | xy             | 0x02    | float 32-bit| Degrees  | -1 to 1  | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoMDC.registers.mre2_registers.MRE2StaticInput.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetAngle()

def optoMDC.registers.mre2_registers.MRE2StaticInput.GetAngle | ( |  | self | ) |

## ◆ GetOF()

def optoMDC.registers.mre2_registers.MRE2StaticInput.GetOF | ( |  | self | ) |

## ◆ GetXY()

def optoMDC.registers.mre2_registers.MRE2StaticInput.GetXY | ( |  | self | ) |

## ◆ help()

def optoMDC.registers.mre2_registers.MRE2StaticInput.help | ( |  | ) |
| static

## ◆ SetAngle()

def optoMDC.registers.mre2_registers.MRE2StaticInput.SetAngle | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetOF()

def optoMDC.registers.mre2_registers.MRE2StaticInput.SetOF | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetXY()

def optoMDC.registers.mre2_registers.MRE2StaticInput.SetXY | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ name

optoMDC.registers.mre2_registers.MRE2StaticInput.name

## ◆ of

optoMDC.registers.mre2_registers.MRE2StaticInput.of

## ◆ sys_id

optoMDC.registers.mre2_registers.MRE2StaticInput.sys_id

## ◆ xy

optoMDC.registers.mre2_registers.MRE2StaticInput.xy

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py